<?php
/**
 * StatusNet, the distributed open-source microblogging tool
 *
 * Plugin to add GetSatisfaction's javascript to StatusNet
 *
 * PHP version 5
 *
 * LICENCE: This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * @category  Plugin
 * @package   StatusNet
 * @author    Julien Chaumond <julien@pnzi.com>
 * @copyright 2010   Julien Chaumond
 * @license   http://www.fsf.org/licensing/licenses/agpl-3.0.html GNU Affero General Public License version 3.0
 * @link      http://status.net/
 */

if (!defined('STATUSNET') && !defined('LACONICA')) {
    exit(1);
}


/**
 * Plugin to add GetSatisfaction's javascript to StatusNet
 *
 * Set up with:  addPlugin('GetSatisfaction', array('company' => 'yourcompany'));
 *
 * @category Plugin
 * @package  StatusNet
 * @author   Julien Chaumond <julien@pnzi.com>
 * @license  http://www.fsf.org/licensing/licenses/agpl-3.0.html GNU Affero General Public License version 3.0
 * @link     http://status.net/
 *
 * @see      Plugin
 */

class GetSatisfactionPlugin extends Plugin
{
    public $company = null;

    
    function onEndShowScripts($action)
    {
        $js1 = 'var is_ssl = ("https:" == document.location.protocol);'.
               'var asset_host = is_ssl ? "https://s3.amazonaws.com/getsatisfaction.com/" : "http://s3.amazonaws.com/getsatisfaction.com/";'.
               'document.write(unescape("%3Cscript src=\'" + asset_host + "javascripts/feedback-v2.js\' type=\'text/javascript\'%3E%3C/script%3E"));';

        $js2 = sprintf('var feedback_widget_options = {};'.
                       'feedback_widget_options.display = "overlay";'.
                       'feedback_widget_options.company = "%s";'.
                       'feedback_widget_options.placement = "right";'.
                       'feedback_widget_options.color = "#222";'.
                       'feedback_widget_options.style = "idea";'.
                       'var feedback_widget = new GSFN.feedback_widget(feedback_widget_options);', 
                $this->company);
        
        $action->inlineScript($js1);
        $action->inlineScript($js2);
    }
    
    
    function onPluginVersion(&$versions)
    {
        $versions[] = array('name' => 'GetSatisfaction',
                            'version' => '0.1',
                            'author' => 'Julien Chaumond',
                            'homepage' => 'http://status.net/wiki/Plugin:GetSatisfaction',
                            'rawdescription' =>
                            _m('Add GetSatisfaction to StatusNet.'));
        return true;
    }
}

