<?php
/**
 * StatusNet, the distributed open-source microblogging tool
 *
 * Plugin to enable Infinite Scrolling
 *
 * PHP version 5
 *
 * LICENCE: This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * @category  Plugin
 * @package   StatusNet
 * @author    Craig Andrews <candrews@integralblue.com>
 * @copyright 2009 Free Software Foundation, Inc http://www.fsf.org
 * @license   http://www.fsf.org/licensing/licenses/agpl-3.0.html GNU Affero General Public License version 3.0
 * @link      http://status.net/
 */

if (!defined('STATUSNET') && !defined('LACONICA')) {
    exit(1);
}

class InfiniteScrollNewPlugin extends Plugin
{
    function __construct()
    {
        parent::__construct();
    }
    
    function onEndShowScripts($action)
    {
        $action->script('local/plugins/InfiniteScrollNew/jquery.infinitescroll.js');
        $action->script('local/plugins/InfiniteScrollNew/infinitescroll.js');
    }
    
}

// @see  http://gitorious.org/statusnet/mainline/commit/f97380fdb5c03557fc01ee8301f4c558e916d374
//       http://gitorious.org/statusnet/mainline/commit/cf8944526ec56dd1a3522d6eced65a4d1369c321
//       http://www.infinite-scroll.com/infinite-scroll-jquery-plugin/