<?php
/**
 * RatingStars Plugin
 *
 * PHP version 5
 *
 * LICENCE: This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * @category  Plugin
 * @package   StatusNet
 * @author    Julien Chaumond <julien@pnzi.com>
 * @license   http://www.fsf.org/licensing/licenses/agpl-3.0.html GNU Affero General Public License version 3.0
 * @link      http://status.net/
 * @link      http://pnzi.com/
 */

if (!defined('STATUSNET')) {
    exit(1);
}

require_once INSTALLDIR.'/local/plugins/RatingStars/ratingstars.php';


/**
 *   Based on http://www.fyneworks.com/jquery/star-rating/
 *     Also considered http://orkans-tmp.22web.net/star_rating/
 *
 * @category Plugin
 * @package  StatusNet
 * @author   Julien Chaumond <julien@pnzi.com>
 * @license  http://www.fsf.org/licensing/licenses/agpl-3.0.html GNU Affero General Public License version 3.0
 * @link     http://status.net/
 */

class RatingStarsPlugin extends Plugin
{
    
    function onEndShowStyles($action)
    {
        $action->cssLink('local/plugins/RatingStars/jquery.rating.css');
        
        // Suppress the "Cancel" button,
        // And custom styles to make the rating stars widget look good:
        
        $action->style('div.rating-cancel, div.rating-cancel a { background:none; } '
                      .'#ratingstars { margin-top: 4px; } ');
        
        return true;
    }
    
    
    function onEndShowScripts($action)
    {
        // XXX: Move that up (?).
        
        $action->script(common_path('local/plugins/RatingStars/jquery.rating.js'));
        
        return true;
    }
    
    
}

