<?php

if (!defined('STATUSNET') && !defined('LACONICA')) {
    exit(1);
}

require_once INSTALLDIR.'/lib/widget.php';

/**
 * Rating stars widget (new version)
 *
 *   Based on http://www.fyneworks.com/jquery/star-rating/
 *
 * @category Output
 * @package  StatusNet
 * @author   Julien Chaumond <chaumond@gmail.com>
 * @license  http://www.fsf.org/licensing/licenses/agpl-3.0.html GNU Affero General Public License version 3.0
 * @link     http://status.net/
 *
 * @see      Widget
 */


class RatingStars extends Widget
{
    
    /**
     * Construction
     *
     * @param Action $action current action, used for output
     */

    function __construct($action=null)
    {
        parent::__construct($action);
    }


    /**
     * Show the widget for rating
     *
     * @return void
     */

    function show()
    {
        $this->out->elementStart('span', array('id' => 'ratingstars'));
        
        // No label, or they'll stay visible.
        
        $this->out->radio('rating', 1, 'star1', null, 'radio star');
        $this->out->radio('rating', 2, 'star2', null, 'radio star');
        $this->out->radio('rating', 3, 'star3', null, 'radio star');
        $this->out->radio('rating', 4, 'star4', null, 'radio star');
        $this->out->radio('rating', 5, 'star5', null, 'radio star');
        
        $this->out->elementEnd('span');
    }
    
    
}
