<?php
/**
 * StatusNet, the distributed open-source microblogging tool
 *
 * PHP version 5
 *
 * LICENCE: This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * @category  Pnzi
 * @author    Julien Chaumond <julien@pnzi.com>
 * @license   http://www.fsf.org/licensing/licenses/agpl-3.0.html GNU Affero General Public License version 3.0
 * @link      http://status.net/
 */


require_once INSTALLDIR.'/local/plugins/TabbedNav/TabbedNavPlugin.php';
require_once INSTALLDIR.'/local/plugins/TabbedNav/tabbednav.php';


class TabbedNavExampleAction extends Action
{
    
    function prepare($args)
    {
        parent::prepare($args);
        
        return true;
    }


    function handle($args)
    {
        parent::handle($args);

        $this->showPage();
    }
    
    
    
    function showContent()
    {
        // XXX: i18n
        
        $this->elementStart('div', array('id' => 'tab_Help'));
        
        $this->element('h2', null, _m("Help"));
        $doc = new DocAction();
        $doc->prepare(array('title' => 'help'));
        $this->raw($doc->output);
        
        $this->elementEnd('div');
        
        
        $doctitles = array('About', 'FAQ', 'Privacy', 'Source');
        
        foreach ($doctitles as $doctitle) {
            
            $this->elementStart('div', array('id' => 'tab_'.$doctitle, 
                                             'class' => 'ui-tabs-hide'
                                             ));
            
            $this->element('h2', null, $doctitle);
            $doc = new DocAction();
            $doc->prepare(array('title' => strtolower($doctitle)));
            $this->raw($doc->output);
            
            $this->elementEnd('div');
            
        }
        
    }
    
    
    
    function showLocalNav()
    {
        $nav = new TabbedNav($this, null);
        $nav->show();
    }
    
    
    function title()
    {
        return _m('Tabbed documentation (Tabbed Nav Example)');
    }
    
    
    
    /**
     * Block for content: Reuse the one from DocAction (to get a nice presentation)
     *
     * Overrides default from Action to wrap everything in an hAtom entry.
     *
     * @return void.
     */

    function showContentBlock()
    {
        DocAction::showContentBlock();
    }
}
