﻿/*
 * StatusNet - a distributed open-source microblogging tool
 * Copyright (C) 2010, StatusNet, Inc.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * StatusNet Rate
 *
 * @category  UI interaction
 * @package   StatusNet
 * @author    Julien Chaumond <julien@pnzi.com>
 * @license   http://www.fsf.org/licensing/licenses/agpl-3.0.html GNU Affero General Public License version 3.0
 * @link      http://status.net/
 */

var SNR = { // StatusNetRate
    SNWriteToNotice: function(txt, tfocus) {
        // Test if notice text element is present or not w/ jQuery
        if ($("#notice_data-text").length) {
            var ntxt = $("#notice_data-text");
            ntxt.val(txt);
            if (tfocus || tfocus === undefined) {
                ntxt.focus();
            }
            // Update Character counter
            SN.U.Counter($('#form_notice'));
        }
        else {
            SNR.SNRedirectLogin();
        }
    },
    
    
    repeat: function(s, n) {
        var r=""; for (var a=0;a<n;a++) r+=s; return r;
    },
    
    
    SNRate: function(n) {
        SNR.SNWriteToNotice($("#SNRateA").text()+" "+SNR.repeat("★",n)+" "+$("#SNRateB").text());
        
        // XXX: check that Annotations are defined.
        // SNA.Annotate("review", "rating", n);
        
    },
    
    
    SNRedirectLogin: function() {
        document.location = "/main/login";
    },
    
    
    drawStars: function(num) {
        var i;
        for (i=1; i <= num; i++) {
            $('#star'+i).attr("src", '/local/plugins/TagRating/images/star1.gif');
        }
        if (num-i+1 >= 0.5) {
            $('#star'+i).attr("src", '/local/plugins/TagRating/images/star05.gif');
            i++;
        }
        for (; i <= 5; i++) {
            $('#star'+i).attr("src", '/local/plugins/TagRating/images/star0.gif');
        }
    }
};


$(document).ready(function(){
    $('#ratingstars').mouseout(function(){
        SNR.drawStars($('span.rating').text());
    });
    $('img.star').mouseover(function(){
        SNR.drawStars($('img.star').index(this))
    });
    $('img.star').click(function(){
        if ($('img.star').index(this) > 0) {
            SNR.SNRate($('img.star').index(this));
        }
    });
});

