<?php
/**
 * StatusNet, the distributed open-source microblogging tool
 *
 * Plugin to remind user to add an email address if not done before: Useful to be able to contact users who signed up using Twitter or Facebook connect
 *
 * PHP version 5
 *
 * LICENCE: This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * @category  Plugin
 * @package   StatusNet
 * @author    Julien Chaumond <chaumond@gmail.com>
 * @copyright 2010   Julien Chaumond
 * @license   http://www.fsf.org/licensing/licenses/agpl-3.0.html GNU Affero General Public License version 3.0
 * @link      http://status.net/
 */

if (!defined('STATUSNET') && !defined('LACONICA')) {
    exit(1);
}

class UserEmailReminderPlugin extends Plugin
{
    // Whether to override this plugin with a "site is in alpha" message
    var $alpha = true;
    
    
    function __construct()
    {
        parent::__construct();
    }
    
    
    function onEndShowStyles($action)
    {
        // $action->style('.reminder { background-color: #FFFC00; '.
        $action->style('.reminder { background-color: #ECECEE; '.
//                                   'height: 32px; '.
//                                   'text-align: center; '.
//                                   'padding-top: 4px; '.
                                   'padding-top: 10px; '.
//                                   'box-shadow:0px 5px 3px -3px rgba(194, 194, 194, 0.3); '.
//                                   '-moz-box-shadow:0px 5px 3px -3px rgba(194, 194, 194, 0.3); '.
//                                   '-webkit-box-shadow:0px 5px 3px -3px rgba(194, 194, 194, 0.3); '.
                                   'box-shadow:0 3px 2px -2px rgba(0, 0, 0, 0.5); '.
                                   '-moz-box-shadow:0 3px 2px -2px rgba(0, 0, 0, 0.5); '.
                                   '-webkit-box-shadow:0 3px 2px -2px rgba(0, 0, 0, 0.5); '.
                                   'border-bottom:1px solid #FFFFFF;}');
        return true;
    }
    
    
    function onEndShowOpeningBody($action)
    {
        $user = common_current_user();
        
        if ($user && !$user->email && !$this->alpha) {
            // User's connected, but we don't have an email for her yet.
            
            $action->elementStart('p', array('class' => 'reminder'));
            $action->text(_m('Please ' ));
            $action->element('a',
                array('href' => common_local_url('emailsettings')),
                    _m('set your email address'));

            $action->text(_m('for Pnzi now. '));
            $action->text(_m('We won\'t spam you, we promise ;)'));
            $action->elementEnd('p');
        }
        
        else {
            // $action->elementStart('p', array('class' => 'reminder'));
            
            $action->elementStart('div', array('class' => 'reminder'));
            
            // $action->text(_m('This site is in alpha right now. We\'re working real hard on expanding our product base - in the meantime, please bear with us ;)'));
            
            $action->raw('<div style="width:1003px;margin:auto;height:120px;">');
            
            $action->elementStart('address', array('id' => 'site_contact',
                                                   'class' => 'vcard'));
            $action->elementStart('a', array('href' => common_local_url('public'), 'class' => "url"));
            $action->raw('<img src="/CharlesPonzi180.png" style="display:inline;width:180px;margin-right:50px;margin-left:20px;float:left;">');
            $action->elementEnd('a');
            $action->elementEnd('address');
            
            $action->raw('<h3 style="font-size:200%;float:left;">');
            $action->raw('<div style="float: left; -moz-transform:rotate(-4.7deg); -webkit-transform:rotate(-4.7deg);"><span style="font-size: 200%;">P<span style="font-size: 60%;">ø</span>nzi</span></div>');
            $action->raw('<div style="float: left; margin-top:36px; margin-left:10px;"> &bull; Rejoignez la chaîne</div>');
            $action->raw('</h3>');
            $action->raw('</div>');
            
            $action->elementEnd('div');
            
            // $action->elementEnd('p');
        }
    }
}
